AddAutoConstraints

 

 

Hello,

I need some example of using AddAutoConstraints in draft. Do you have documentation for this metod?

Thanks

Pavel Styl

SolidEdge V19 + SP10

Dim oDoc As SolidEdgeDraft.DraftDocument
Dim objSheet As SolidEdgeDraft.Sheet
Dim objRelns As SolidEdgeFrameworkSupport.Relations2d

Set oDoc = oApp.ActiveDocument
Set objSheet = oDoc.ActiveSheet
Set objRelns = objSheet.Relations2d
Call objRelns.AddAutoConstraints( ... ??? ... )

 

Posted by: Pavel Styl
Post date: 12/5/2007 8:52:52 PM

1 REPLY

RE: AddAutoConstraints

void AddAutoConstraints(double dist_tol, double angle_tol, long NumElements, SAFEARRAY(IDispatch*)* Elements, long NumCnstrTypes, SAFEARRAY(long)* CnstrTypes, long* NumCnstrs, SAFEARRAY(IDispatch*)* Cnstrs, VARIANT varXOriginUnk, VARIANT varYOriginUnk, VARIANT Xdim_pos_x, VARIANT Xdim_pos_y, VARIANT Ydim_pos_x, VARIANT Ydim_pos_y, VARIANT DimPlacementOptions, VARIANT LinearDimOptions, VARIANT_BOOL PlaceRadiusDimOnCircle, VARIANT_BOOL PlaceRadiusDimOnArc, VARIANT_BOOL PlaceDistanceDimFromCircleCenter)

 

Wow, that is one of the nastiest methods that I've ever seen. 19 parameters! I think you're going to need to call GTAC for this one.

 

Posted by: Jason Newell
Post date: 12/16/2007 9:15:57 PM